Summary:	Raw VBI, Teletext and Closed Caption decoding library
Summary(pl.UTF-8):	Biblioteka dekodująca VBI
Name:		zvbi
Version:	0.2.42
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/zapping-vbi/zvbi/releases
Source0:	https://github.com/zapping-vbi/zvbi/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f52dd4437a52ba3d3437e39c69184c6f
Patch0:		%{name}-include.patch
Patch1:		%{name}-link.patch
URL:		https://zapping.sourceforge.net/ZVBI/
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1:1.16
BuildRequires:	doxygen
BuildRequires:	gettext-tools >= 0.16.1
BuildRequires:	libpng-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to read from raw VBI sampling
devices, to demodulate raw to sliced VBI data, and to interpret the
data of several popular services. It has been written for the Zapping
TV viewer <http://zapping.sourceforge.net/>.

%description -l pl.UTF-8
VBI jest skrótem od Vertical Blanking Interval, czyli interwał
wygaszania pionowego, który jest odstępem pomiędzy danymi obrazu
transmitowanymi w analogowym sygnale wideo. Ten odstęp jest używany do
transmisji danych rozmaitych usług takich, jak teletekst i Closed
Caption, modulowanych w AM.

Biblioteka zvbi udostępnia funkcje do odczytu z surowych urządzeń
próbkujących VBI, do demodulacji surowych danych VBI i do
interpretacji tych danych dla kilku popularnych usług. Została ona
napisana dla programu TV Zapping <http://zapping.sourceforge.net/>.

%package devel
Summary:	zvbi heades files
Summary(pl.UTF-8):	Pliki nagłówkowe do zvbi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpng-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do zvbi.

%package static
Summary:	Static zvbi library
Summary(pl.UTF-8):	Biblioteka statyczna zvbi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zvbi library.

%description static -l pl.UTF-8
Statyczna biblioteka zvbi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README.md TODO
%attr(755,root,root) %{_bindir}/zvbi-*
%attr(755,root,root) %{_sbindir}/zvbid
%attr(755,root,root) %{_libdir}/libzvbi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzvbi.so.0
%attr(755,root,root) %{_libdir}/libzvbi-chains.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzvbi-chains.so.0
%{_mandir}/man1/zvbi-*.1*
%{_mandir}/man1/zvbid.1*

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libzvbi.so
%attr(755,root,root) %{_libdir}/libzvbi-chains.so
%{_libdir}/libzvbi.la
%{_libdir}/libzvbi-chains.la
%{_includedir}/libzvbi.h
%{_pkgconfigdir}/zvbi-0.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzvbi.a
%{_libdir}/libzvbi-chains.a
%changelog
* Sun Sep 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zvbi.git;a=log;h=master

* Sun Sep 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 712305a
- updated to 0.2.42

* Wed Apr 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 91abd81
- new Source URL, updated to 0.2.41

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 49c1268
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 729d5e5
- updated gettext BR

* Fri Nov 22 2013 Łukasz Kieś <kiesiu@pld-linux.org> bf29fb0
- updated to 0.2.35
- patches zvbi-includes and zvbi-libpng15 applied upstream

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fcf78b8
- release 5 (by relup.sh)

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> e3b1102
- new

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 37ea729
- libpng-1.5 fixes; release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f176336
- release 3

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 36dc68d
- added includes patch to fix build with recent glibc
- added link patch to fix libzvbi-chains linking

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4602c31
- release 2

* Thu Nov 27 2008 lisu <lisu@pld-linux.org> 8decc16
- 0.2.33

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 9724b9e
- updated to 0.2.32
- added include patch

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> ed41d60
- fix include path

* Fri Apr 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 1759384
- ghost soname symlinks, more verbose files
- moved man pages to proper package

* Fri Apr 18 2008 lisu <lisu@pld-linux.org> 9a17891
- 0.2.30

* Sat Dec 08 2007 lisu <lisu@pld-linux.org> cdbdc68
- 0.2.26

* Sun Jun 24 2007 lisu <lisu@pld-linux.org> b36d613
- 0.2.25

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1efb047
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2b96120
- converted to UTF-8

